Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}


%global packagename pkg-up
%global enable_tests 0
# tests disabled until 'ava' is packaged in Fedora

Name:		nodejs-pkg-up
Version:	1.0.0
Release:	alt1_7
Summary:	Find the closest package.json file

License:	MIT
URL:		https://github.com/sindresorhus/pkg-up.git
Source0:	https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1:	fixture-%{version}.tar.bz2
Source10:	dl-tests.sh

Source2:	https://raw.githubusercontent.com/sindresorhus/pkg-up/v%{version}/test.js

BuildArch:	noarch

BuildRequires:	rpm-build-nodejs node-devel
BuildRequires:	npm(find-up)
%if 0%{?enable_tests}
BuildRequires:	npm(ava)
BuildRequires:	npm(xo)
%endif

Requires:	node
Source44: import.info

%description
Find the closest package.json file


%prep
%setup -q -n package
# setup the tests
%setup -q -T -D -a 1 -n package
cp -p %{SOURCE2} .

%nodejs_fixdep find-up

%build
# nothing to do!

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr package.json *.js \
	%{buildroot}%{nodejs_sitelib}/%{packagename}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/ava
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif


%files
%{!?_licensedir:%global license %doc}
%doc *.md
%doc --no-dereference license
%{nodejs_sitelib}/%{packagename}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.0.0-alt1_7
- new version

